PostZen
Profiles

Update a profile

PUT
/v1/profiles/{profileId}

Updates one or more profile fields. This endpoint requires a read-write API key.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Path Parameters

profileId*string

PostZen profile id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Include at least one field.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/profiles/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Marketing Team (Updated)",    "description": "Updated profile description",    "color": "#2196f3",    "isDefault": true  }'
{  "message": "string",  "profile": {    "_id": "string",    "userId": "string",    "name": "string",    "description": "string",    "color": "string",    "isDefault": true,    "createdAt": "2019-08-24T14:15:22Z"  }}
{  "error": "JSON body is required"}
{  "error": "Unauthorized"}
{  "error": "API key requires read_write permission"}
{  "error": "Not found"}
{  "error": "Failed to create post"}